Subject: Re: [version-1.4.0] python-black fails sanity-check

From: Leo Famulari <[email-masked]>
Date: Mon, 17 Jan 2022 21:48:07 -0500

On Mon, Jan 17, 2022 at 07:44:05PM -0500, Leo Famulari wrote:
> Indeed, python-tomli was updated to 2.0.0, which is not considered
> compatible with python-black.
> 
> This breaks 240 dependent packages.

It's unfortunate that tomli itself has thousands of dependent packages.

Things were fine on the version-1.4.0 branch, with an *older* version of
python-black:

https://ci.guix.gnu.org/build/359319/details

It's surprising that later versions of python-black would be less
compatible with its dependencies, but that's what has happened:

https://ci.guix.gnu.org/search?query=spec%3Amaster+system%3Ax86_64-linux+python-black

Maxim, do you remember why you updated python-tomli? Marius, do you
remember why you updated python-black? I could use some advice about how
to untangle this.